@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

:root {
    /* Gray */
    --color-gray-50: rgb(250, 250, 250); /* #fafafa */
    --color-gray-100: rgb(242, 242, 242); /* #f2f2f2 */
    --color-gray-200: rgb(230, 230, 230); /* #e6e6e6 */
    --color-gray-300: rgb(179, 179, 179); /* #b3b3b3 */
    --color-gray-350: rgb(144, 144, 144); /* #909090 - Table borders */
    --color-gray-400: rgb(115, 115, 115); /* #737373 - Base */
    --color-gray-500: rgb(64, 64, 64); /* #404040 */
    --color-gray-600: rgb(31, 31, 31); /* #1f1f1f */
    /* Blue */
    --color-blue-50: rgb(242, 250, 255); /* #f2faff */
    --color-blue-100: rgb(229, 244, 255); /* #e5f4ff */
    --color-blue-200: rgb(181, 218, 247); /* #b5daf7 */
    --color-blue-300: rgb(71, 176, 255); /* #47b0ff */
    --color-blue-400: rgb(0, 93, 162); /* #005da2 - Base */
    --color-blue-500: rgb(0, 64, 112); /* #004070 */
    --color-blue-600: rgb(0, 35, 61); /* #00233d */
    /* Orange */
    --color-orange-100: rgb(255, 240, 229); /* #fff0e5 */
    --color-orange-200: rgb(255, 217, 191); /* #ffd9bf */
    --color-orange-300: rgb(255, 178, 128); /* #ffb280 */
    --color-orange-400: rgb(250, 100, 0); /* #fa6400 - Base */
    --color-orange-500: rgb(178, 48, 0); /* #b23000 */
    /* Secondary colors */
    /* ------------------------------ */
    /* Green */
    --color-green-100: rgb(234, 255, 229); /* #eaffe5 */
    --color-green-200: rgb(201, 255, 191); /* #c9ffbf */
    --color-green-300: rgb(135, 204, 122); /* #87cc7a */
    --color-green-400: rgb(56, 124, 43); /* #387c2b - Base */
    --color-green-500: rgb(33, 74, 26); /* #214a1a */
    /* Red */
    --color-red-100: rgb(255, 237, 237); /* #ffeded */
    --color-red-200: rgb(255, 191, 191); /* #ffbfbf */
    --color-red-300: rgb(255, 128, 128); /* #ff8080 */
    --color-red-400: rgb(220, 10, 10); /* #dc0a0a - Base */
    --color-red-500: rgb(161, 7, 7); /* #a10707 */
    /* Yellow */
    --color-yellow-100: rgb(255, 248, 229); /* #fff8e5 */
    --color-yellow-200: rgb(255, 238, 191); /* #ffeebf */
    --color-yellow-300: rgb(255, 220, 128); /* #ffdc80 */
    --color-yellow-400: rgb(251, 183, 0); /* #fbb700 - Base */
    --color-yellow-500: rgb(201, 135, 0); /* #c98700 */
    /* Purple */
    --color-purple-100: rgb(237, 229, 255); /* #ede5ff */
    --color-purple-200: rgb(222, 199, 245); /* #dec7f5 */
    --color-purple-300: rgb(211, 191, 255); /* #d3bfff */
    --color-purple-400: rgb(130, 91, 215); /* #825BD7 */
    --color-purple-500: rgb(95, 1, 198); /* #5f01c6 - Elite Bright Purple */
    --color-purple-600: rgb(77, 39, 160); /* #4d27a0 - Base */
    --color-purple-700: rgb(53, 26, 110); /* #351a6e */
    --color-purple-800: rgb(36, 18, 77); /* #24124d */
    --color-purple-900: rgb(37, 17, 76); /* #25114c - Elite Dark Purple */
    --color-purple-950: rgb(16, 1, 40); /* #100128 - Darker Purple used by 3E/WS left menu */
    /* Shades and tints */
    /* ------------------------------ */
    /* Shade */
    --color-shade-10: rgba(0, 0, 0, 0.1);
    --color-shade-15: rgba(0, 0, 0, 0.15);
    --color-shade-20: rgba(0, 0, 0, 0.2);
    --color-shade-30: rgba(0, 0, 0, 0.3);
    --color-shade-50: rgba(0, 0, 0, 0.5);
    /* Light Shade */
    --color-lightShade-10: rgba(64, 64, 64, 0.1);
    --color-lightShade-15: rgba(64, 64, 64, 0.15); /* Panel, Mega Menu drop shadow */
    --color-lightShade-20: rgba(64, 64, 64, 0.2);
    --color-lightShade-30: rgba(64, 64, 64, 0.3);
    --color-lightShade-50: rgba(64, 64, 64, 0.5);
    /* Tint */
    --color-tint-0: rgba(255, 255, 255, 0);
    --color-tint-10: rgba(255, 255, 255, 0.1);
    --color-tint-15: rgba(255, 255, 255, 0.15);
    --color-tint-50: rgba(255, 255, 255, 0.5);
    --color-tint-75: rgba(255, 255, 255, 0.75);
    /* Bases */
    /* ------------------------------ */
    --color-base-white: rgb(255, 255, 255); /* #ffffff */
    --color-outline-focus: var(--color-purple-500);
    --rz-scrollbar-color: var(--color-purple-500);
    --rz-primary: var(--color-purple-500);
    --rz-secondary: var(--color-purple-500);
    --rz-dropdown-item-hover-background-color: var(--color-purple-500);
    --rz-dropdown-item-selected-background-color: var(--color-purple-200);
    --rz-checkbox-checked-hover-background-color: var(--color-purple-200);
    --rz-secondary-light: var(--color-gray-100);
    --rz-on-secondary-light: var(--rz-base-800);
    --rz-context-menu-box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
    --rz-menu-border: 1px solid var(--color-gray-200);
    --rz-menu-border-radius: 4px;
    --rz-menu-item-padding: .25rem 1.5rem;
    --rz-menu-item-icon-margin: 0 0.25rem 0 0;
}

html, body {
    font-family: "Open Sans", sans-serif;
}
h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
    font-weight: 600;
    margin: 0 0 12px 0;
}
h1,
.h1 {
  font-size: 40px;
  line-height: 1.2;
}
h2,
.h2 {
  font-size: 32px;
  line-height: 1.25;
}
h3,
.h3 {
  font-size: 28px;
  line-height: 1.28;
}
h4,
.h4 {
  font-size: 24px;
  line-height: 1.33;
}
h5,
.h5 {
  font-size: 20px;
  line-height: 1.4;
}
h6,
.h6 {
  font-size: 16px;
  line-height: 1.5;
}

hr {
  border-bottom: 1px solid #D0D0D0;
  border-top: 0;
  margin: 0 48px 16px;
  padding-top: 16px;
}

/* Button */
button:focus {
    border-radius: 4px;
    outline: 2px solid var(--color-outline-focus);
    outline-offset: 2px;
}

.btn,
.rz-button
.rz-button-md {
    align-items: center;
    background-color: transparent;
    border: 0;
    border-radius: 4px;
    display: inline-flex;
    gap: 8px;
    justify-content: center;
    padding: 10px 18px;
}
.rz-button:hover,
.rz-button-md:hover
.btn:hover {
    box-shadow: none;
    text-decoration: none;
}
.btn span {
    text-decoration: none;
}
.rz-secondary,
.btn-primary,
.btn-secondary {
    background-color: var(--color-purple-500);
    border: none;
    box-shadow: inset 0 0 0 1px var(--color-purple-500);
    color: var(--color-base-white);
}
.rz-button:not(.rz-state-disabled):hover:not(:active),
.rz-secondary:hover,
.btn-primary:hover,
.btn-secondary:hover {
    background-color: var(--color-purple-200);
    box-shadow: inset 0 0 0 2px var(--color-purple-200);
    color: var(--color-purple-800);
}
.btn-primary:focus,
.btn-secondary:focus {
    box-shadow: inset 0 0 0 2px var(--color-purple-500);
    outline: 2px solid var(--color-outline-focus);
    outline-offset: 2px;
}
.btn-primary:not(:disabled):not(.disabled):active,
.btn-secondary:not(:disabled):not(.disabled):active {
    background-color: var(--color-purple-500);
}
.btn-primary:not(:disabled):not(.disabled):active:focus,
.btn-secondary:not(:disabled):not(.disabled):active:focus {
    box-shadow: none;
}
.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.btn-secondary:not(:disabled):not(.disabled).active,
.btn-secondary:not(:disabled):not(.disabled):active,
.show > .btn-primary.dropdown-toggle {
    background-color: var(--color-purple-200);
    box-shadow: inset 0 0 0 2px var(--color-purple-200);
    color: var(--color-purple-800);
    border-color: var(--color-outline-focus);
}
.btn-outline-primary,
.btn-info,
.btn-outline-info {
    box-shadow: inset 0 0 0 1px var(--color-purple-500);
    background-color: var(--color-base-white);
    border-color: var(--color-purple-500);
    color: var(--color-purple-500);
}
.rz-state-disabled,
.rz-button:disabled,
.rz-button-md:disabled
.rz-shade-default:disabled,
.btn-primary:disabled,
.btn-secondary:disabled,
.btn-outline-primary:hover,
.btn-info:hover,
.btn-outline-info:hover,
.btn-outline-danger:hover {
    background-color: var(--color-purple-200);
    box-shadow: inset 0 0 0 2px var(--color-purple-200);
    color: var(--color-purple-800);
    border: var(--color-purple-200);
}
.btn-outline-primary:focus,
.btn-info:focus,
.btn-outline-info:focus,
.btn-outline-danger:focus {
    border: 0;
    box-shadow: inset 0 0 0 1px var(--color-purple-500);
    outline: 2px solid var(--color-outline-focus);
    outline-offset: 2px;
}
.btn-outline-primary:not(:disabled):not(.disabled):active,
.btn-info:not(:disabled):not(.disabled):active,
.btn-outline-info:not(:disabled):not(.disabled):active,
.btn-outline-danger:not(:disabled):not(.disabled):active{
  background-color: var(--color-purple-500);
  color: var(--color-purple-200);
}
.close,
.btn-tertiary,
.blazored-modal-close {
  border: 0;
  color: var(--color-purple-800);
  text-shadow: none
}
.close:focus,
.btn-tertiary:focus,
.blazored-modal-close:focus {
  border: 0;
  box-shadow: none;
  outline: 2px solid var(--color-outline-focus);
  outline-offset: 2px;
}
.close:hover,
.btn-tertiary:hover,
.blazored-modal-close:hover {
  background-color: var(--color-purple-200);
  box-shadow: inset 0 0 0 2px var(--color-purple-200);
  color: var(--color-purple-800);
}
.close:active,
.btn-tertiary:active,
.blazored-modal-close:active {
  background-color: var(--color-purple-200);
  color: var(--color-purple-800);
}
.btn-icon,
.blazored-modal-close {
  height: 32px;
  min-width: 32px;
  padding: 4px;
}
.btn-danger {
  background-color: var(--color-red-400);
  border-color: var(--color-red-400);
}
.btn-outline-danger {
  border: 1px solid var(--color-red-400);
}
.main {
  grid-area: main;
  overflow: auto;
  padding: 40px 24px 24px;
}
.collapse.sidebar ~ .main {
  grid-area: unset;
  width: 100vw;
}
label {
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
}
.hint-text {
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
}
.form-control {
  border: 0;
  border-radius: 8px;
  box-shadow: inset 0 0 0 1px var(--color-purple-500);
  display: flex;
  padding: 0 8px;
}

svg {
    margin-bottom: 16px;
}
.form-control,
select.form-control:not([size]):not([multiple]) { /* override Bootstrap */
  height: 40px;
}
select.form-control[multiple] {
    height: 100px;
}
.form-control:hover {
  box-shadow: inset 0 0 0 2px var(--color-purple-200);
}
.form-control:focus {
  border-radius: 8px;
  border: 0;
  box-shadow: inset 0 0 0 1px var(--color-purple-200);
  outline: 2px solid var(--color-outline-focus);
  outline-offset: 2px;
}
select.form-control:not([multiple]) {
  appearance:none;
  background: no-repeat 100% 50% url(assets/images/select-chevron.svg);
  -moz-appearance:none; /* Firefox */
  -webkit-appearance:none; /* Safari and Chrome */
}
.validation-errors {
  background-color: var(--color-red-100);
  border: 1px solid var(--color-red-500);
  border-radius: 8px;
  color: var(--color-gray-600);
  padding: 12px 12px 12px 52px;
  max-width: 800px;
}
.form-group.radio-button {
  align-items: center;
  display: flex;
  gap: 8px;
}
.form-group.radio-button label {
  margin-bottom: 0;
}
.form-group.radio-button .hint-text {
  margin-left: 8px;
}
.radio-container {
  display: block;
  height: 20px;
  position: relative;
  cursor: pointer;
  font-size: 22px;
  margin-top: 2px;
  user-select: none;
  width: 20px;
}
.radio-container input[type=checkbox] {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  left: 0;
}
.checkmark {
  box-shadow: inset 0 0 0 1px #737373;
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  pointer-events: none;
  width: 20px;
  border-radius: 4px;
}
.checkmark::after {
  border: solid var(--color-base-white);
  border-width: 0 2px 2px 0;
  content: "";
  display: none;
  height: 12px;
  left: 7px;
  position: absolute;
  top: 2px;
  transform: rotate(40deg);
  width: 6px;
}
input[type=checkbox]:checked ~ .checkmark::after {
  display: block;
}
input[type=checkbox]:focus ~ .checkmark {
  outline: 2px solid var(--color-outline-focus);
  outline-offset: 2px;
}
input[type=checkbox].form-control {
  height: 20px;
  width: 20px;
}
input[type=checkbox].form-control:hover {
  box-shadow: none;
}
input[type=checkbox]:hover ~ .checkmark {
  box-shadow: inset 0 0 0 2px var(--color-purple-500);
}
input[type=checkbox]:checked ~ .checkmark {
  background-color: var(--color-purple-500);
}
input[type=checkbox]:checked:hover ~ .checkmark {
  background-color: var(--color-base-white);
}
input[type=checkbox]:checked:hover ~ .checkmark::after {
  border: solid var(--color-purple-500);
  border-width: 0 2px 2px 0;
}
input[type=checkbox] {
    accent-color: var(--color-purple-500);
}
.form-group .validation-message,
.gl-container ~ .validation-message,
.card-body .validation-message {
  background: no-repeat 4px 4px url(assets/images/bb-Icon-failure--red.svg);
  color: var(--color-red-400);
  padding-left: 32px;
  padding-top: 2px;
}
.Progress-topText {
  display: flex;
  flex-wrap: wrap;
  gap: 12px 0;
  justify-content: space-between;
}
.Progress-barWrapper {
  background-color: var(--color-gray-300);
  border-radius: 2px;
  height: 4px;
  margin: 4px 0;
}
.Progress-bar {
  border-radius: 2px;
  height: 4px;
}
.Progress-info .Progress-bar {
  background-color: var(--color-blue-500);
}
.Progress-warning .Progress-bar {
  background-color: var(--color-orange-400);
}
.Progress-success .Progress-bar {
  background-color: var(--color-green-400);
}
.Progress-failure .Progress-bar {
  background-color: var(--color-red-400);
}
.Progress-pause .Progress-bar {
  background-color: var(--color-gray-400);
}
.Alert {
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  padding: 16px;
}
.Alert-block {
  border-width: 1px;
  border-style: solid;
  border-color: var(--color-gray-400);
  border-radius: 6px;
}
.Alert--toast {
  box-shadow: 0 8px 24px 2px rgb(31 31 31 / 15%), 0 8px 24px 2px rgb(31 31 31 / 15%);
}
.Alert-info {
  background-color: var(--color-blue-100);
  border-color: var(--color-blue-500);
}
.Alert-success {
  background-color: var(--color-green-100);
  border-color: var(--color-green-400);
}
.Alert-warning {
  background-color: var(--color-yellow-100);
  border-color: var(--color-orange-500);
}
.Alert-failure {
  background-color: var(--color-red-100);
  border-color: var(--color-red-400);
}
.Alert-content {
  align-items: flex-start;
  display: flex;
  flex: 1 1;
  gap: 12px;
}
.Alert-icon {
  line-height: 20px;
}
.Alert-message {
  margin: 0;
}
.Alert-actions {
  display: flex;
  gap: 12px;
}
.Alert-dismiss {
  margin-bottom: -4px; /* negative margins for vertical alignment */
  margin-top: -4px;
}
.Alert-inline {
  background-color: transparent;
  border-color: transparent;
  font-size: 14px;
  font-weight: 600;
  line-height: 24px;
  padding-left: 32px;
  padding-top: 2px;
}
.Alert-inline.Alert-info {
  background: no-repeat 4px 4px url(assets/images/bb-Icon-info--blue.svg);
  color: var(--color-blue-500);
}
.Alert-inline.Alert-warning {
  background: no-repeat 4px 4px url(assets/images/bb-Icon-alertTriangle--yellow.svg);
  color: var(--color-orange-400);
}
.Alert-inline.Alert-success {  
  background: no-repeat 4px 4px url(assets/images/bb-Icon-success--green.svg);
  color: var(--color-green-400);
}
.Alert-inline.Alert-failure {
  background: no-repeat 4px 4px url(assets/images/bb-Icon-failure--red.svg);
  color: var(--color-red-400);
}
.Alert-inline.Alert-pause {
  background: no-repeat 4px 4px url(assets/images/bb-Icon-pause--black.svg);
  color: var(--color-gray-400);
}
.Form-cityState,
.Form-zipCountry {
  display: flex;
  flex-direction: column;
  gap: 0 16px;
}
@media screen and (min-width: 576px) {
  .Form-cityState,
  .Form-zipCountry {
    flex-direction: row;
  }
}
.Form-cityState .form-group:first-of-type,
.Form-zipCountry .form-group:last-of-type {
  flex: 2;
}
.Form-cityState .form-group:last-of-type,
.Form-zipCountry .form-group:first-of-type {
  flex: 1;
}
.intl-phone-input .form-control {
  padding: 6px 8px 6px 52px;
  margin-top: 8px;
}
.intl-phone-input label {
  margin-bottom: 0;
}
.Table-cellCenter {
  text-align: center;
}
.Table-cellCenter .btn {
  margin: 0 auto;
}
.table.bank-table {
  background-color: var(--color-blue-50);
  border: 0;
  border-radius: 2px;
  box-shadow: inset 0 0 0 1px var(--color-blue-500);
}
.table.bank-table thead th {
  background-color: transparent;
  border: 0;
  color: var(--color-gray-500);
  font-weight: 400;
  padding: 8px 8px 0 24px;
}
.table.bank-table td {
  border: 0;
  color: var(--color-gray-500);
  font-weight: 600;
  padding: 4px 8px 8px 24px;
}
.table.bank-table td input {
  color: var(--color-gray-500);
  font-weight: 600;
}
.iti.iti--allow-dropdown input[type=tel] {
  background-color: transparent;
  padding-left: 0;
}
.card {
  border-radius: 8px;
  box-shadow: 0 8px 24px 2px rgb(31 31 31 / 15%);
  padding: 24px;
  margin-bottom: 24px;
}
.card .card-title {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}
.table thead th {
  border-bottom-width: 1px;
  background-color: var(--color-gray-100);
}
.Table-captionAndActions {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}
.Table-captionAndActions h4 {
  margin-bottom: 0;
}
.Table-actionsContainer {
  display: flex;
  gap: 12px 16px;
}
.Table-maxHeight {
  max-height: 440px;
  overflow-y: auto;
}
.Table-maxHeight:has(table) {
  border-top: 1px solid var(--color-gray-350);
}
.Table-maxHeight thead {
  box-shadow: inset 0 0 0 1px var(--color-gray-350);
  position: sticky;
  top: 0;
  z-index: 1;
}
.Table-maxHeight .table thead th {
  border: 0;
}
.gl-container {
  border: 1px solid var(--color-gray-350);
  border-radius: 2px;
  padding: 16px;
  margin-bottom: 24px;
}
.gl-container .ZeroState {
  margin: 40px auto;
}

/* Zero state */
.ZeroState {
	display: flex;
	flex-direction: column;
	justify-content: center;
	margin: 0 auto;
}
.ZeroState,
.ZeroState-container,
.ZeroState-message {
	max-width: 580px;
	width: 100%;
}
.ZeroState-container {
	align-items: center;
	box-sizing: border-box;
	display: inline-flex;
	flex-direction: column;
}
.ZeroState .ZeroState-title {
	font-size: 1.5rem;
	line-height: 133%;
	text-align: center;
}
.ZeroState .ZeroState-message,
.ZeroState .ZeroState-links {
	text-align: center;
}
.ZeroState .ZeroState-image {
	align-items: center;
	display: flex;
	justify-content: center;
	margin-bottom: 3px;
}

.blazored-toast-container {
    z-index: 1000 !important;
}
.required-field::after {
    content: "*";
    color: red;
}

a, .btn-link {
    color: var(--color-purple-500);
}
.page-link {
    color: var(--color-purple-500);
}
.page-item.active .page-link {
    background-color: var(--color-purple-500) !important;
    color: var(--color-base-white) !important;
}
.content {
    display: flex;
    flex-direction: column;
}
.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}
.modal-container .form-container {
  height: calc(100% - 70px);
  overflow: auto;
  padding: 20px 32px;
  width: 100%;
}
.modal-container .form-container form {
  max-width: 560px;
}
.blazored-modal-container .blazored-modal {
  padding: 0;
}
.blazored-modal {
  height: calc(100vh - 40px);
  max-width: 100%;
  width: 720px;
}
.blazored-modal .blazored-modal-header {
  padding: 24px 60px 24px 32px;
  position: relative;
}
.blazored-modal-header .blazored-modal-close {
  border-radius: 4px;
  height: 40px;
  line-height: 1;
  padding: 0;
  position: absolute;
  right: 40px;
  top: 36px;
  width: 40px;
}
.modal-container {
  height: calc(100vh - 124px);
}

.modal-container .buttons-container {
  margin: 0 20px;
}
.buttons-container {
  align-items: center;
  background-color: white;
  display: flex;
  gap: 12px 16px;
  height: 68px;
  justify-content: flex-end;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.the-legend {
    border-style: none;
    border-width: 0;
    font-size: 14px;
    line-height: 20px;
    margin-bottom: 0;
    width: auto;
    padding: 0 10px;
}

.the-fieldset {
    border: 1px solid #e0e0e0;
    padding-left: 30px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.custom-table th .oi {
    float: right;
}

.custom-table th {
    max-width: 250px;
    font-size: small;
}

.custom-table td {
    max-width: 250px;
    word-break: break-word;
    font-size: small;
}

.client-filters-text {
    font-size: x-small;
    word-break: break-word;
    max-height: 50px;
    overflow-y: auto;
}

.custom-table thead th {
    color: black !important;
}

.custom-table td > .custom-dropdown .btn.dropdown-toggle.btn-sm {
    padding: .15rem 1.5rem;
    font-size: .575rem;
}

.bottom-dotted {
    border-bottom: 1px dotted black
}
.nav {
  flex: 1;
  justify-content: space-between;
}
.nav-item div.collapse {
    display:none;
}
.nav-item {
    font-size: 0.8rem;
}

.nav-item div.collapse.show {
    display: block;
}
.readonly-phoneNumber {
  position: relative; /* sr-only absolute throws off layout without this */
}

.btn-clipboard:hover {
    color: black;
}

.btn-clipboard:active {
    color: white;
}

.blazored-modal-95 {
    height: calc(95vh - 40px);
}

.label-wrapper:hover {
    cursor: pointer;
}

.custom-input-hide {
    width: 0;
    height: 0;
    overflow: hidden;
}

.bi-fill-red {
    color: var(--color-red-400);
    font-size: 20px;
}

.bi-fill-green {
    color: var(--color-green-400);
    font-size: 20px;
}

.bi-fill-gray {
    color: var(--color-gray-400);
    font-size: 20px;
}

.bi-fill-blue {
    color: var(--color-blue-400);
    font-size: 20px;
}

.rz-progressbar-indeterminate.rz-progressbar-primary .rz-progressbar-circular-value {
    stroke: var(--color-purple-500);
}

.itemTitle {
    font-size: 13px;
    font-weight: 600;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.itemSubtext {
    font-size: 12px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.blazored-toast-close:focus {
    outline: transparent;
}

.custom-typeahead-wrapper .blazored-typeahead {
    border: 0;
    border-radius: 8px;
    box-shadow: inset 0 0 0 1px var(--color-purple-500);
    display: flex;
    padding: 0 8px;
    transition: box-shadow 0.3s 
}

.custom-typeahead-wrapper .blazored-typeahead:hover {
    box-shadow: inset 0 0 0 2px var(--color-purple-200);
}

.custom-typeahead-wrapper .blazored-typeahead:focus-within {
    border: 0;
    box-shadow: inset 0 0 0 1px var(--color-purple-200);
    outline: 2px solid var(--color-outline-focus);
    outline-offset: 2px;
}

.custom-typeahead-wrapper .blazored-typeahead__input {
    border: none;
    outline: none;
    background-color: transparent;
    font-size: inherit; 
    line-height: inherit; 
    color: inherit; 
    width: 100%; 
}

.custom-typeahead-wrapper .blazored-typeahead__input-mask {
    width: 100%; /* Match the width of the input */
    font-size: inherit;
    padding: 8px 0 8px 0;
}

.custom-typeahead-wrapper .blazored-typeahead__clear {
    display: none
}

.custom-typeahead-wrapper .blazored-typeahead__results {
    position: absolute; /* Position relative to the parent container */
    top: 100%; 
    left: 0; 
    width: 100%; 
    z-index: 1050; 
    background-color: var(--color-base-white); 
    border: 1px solid var(--color-purple-500); 
    border-radius: 0 0 8px 8px; 
    box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1); 
    max-height: 450%; 
    overflow-y: auto; 
}

.custom-typeahead-wrapper .blazored-typeahead__results li {
    padding: 8px 12px;
    cursor: pointer
}

div.custom-typeahead-wrapper > div.blazored-typeahead > div.blazored-typeahead__controls {
    width: 100%;
    position: relative;
}

div.rz-context-menu ul.rz-menu div.rz-navigation-item-link i {
    font-size: small;
    margin-right: 5px;
}

div.rz-context-menu ul.rz-menu div.rz-navigation-item-link span.rz-navigation-item-text {
    font-size: small;
}
.rz-context-menu .rz-menu:not(.rz-profile-menu) {
    padding: .5rem 0;
    margin: .125rem 0 0;
}

.switch {
    position: relative;
    display: inline-block;
    width: 35px;
    height: 15px;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 8px;
        width: 8px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #5f01c6;
}

input:focus + .slider {
    box-shadow: 0 0 1px #5f01c6;
}

input:checked + .slider:before {
    -webkit-transform: translateX(20px);
    -ms-transform: translateX(20px);
    transform: translateX(20px);
}

input:disabled + .slider {
    background-color: #808080; /* Grey color */
    cursor: not-allowed; /* Change cursor to indicate disabled state */
}

    input:disabled + .slider:before {
        background-color: #bfbfbf; /* Lighter grey for the slider knob */
    }

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }




